=== debian/changelog ===
gdm3 (3.38.2.1-2ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream version
  * debian/control: Don't Recommend pam fprintd module, as we seed it
  * debian/patches: Refresh
  * debian/gdm3.prerm: Resync with debian
  * debian/gdm3.gdm-smartcard-*: Add user_readenv=1 in pam_env.so
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - build depend on libgudev-1.0-dev
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 19:42:42 +0000

gdm3 (3.38.2.1-2) experimental; urgency=medium

  * debian: Add gdm-smartcard PAM module implemented with libpam_sss.
    The implementation uses update-alternatives to provide a generic
    gdm-smartcard PAM module that can be changed using the tool.
    Potentially other systems could be used or supported (such as pam_pkcs11
    or pam_p11) by adding other modules implementing the gdm-smartcard auth
    service. (LP: #1865226, Closes: #953557)
  * debian: Add gdm-smartcard implementation using pkcs11
  * debian/gdm3.gdm-smartcard-sssd-exclusive.pam:
    - PAM config to use exclusive (no fallback is supported) smartcard
      authentication via libpam_sss
  * debian/gdm3.gdm-smartcard-sssd-or-password.pam:
    - PAM config to optionally use smartcard authentication via libpam_sss,
      on failure it fallbacks to password authentication
  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam:
    - PAM config to use exclusive (no fallback is supported) smartcard
      authentication via libpam_pkcs11
  * debian/control:
    - Suggests libam-sss and libam-pkcs11
  * debian/gdm3.alternatives:
    - Add gdm-smartcard alternatives to be used as /etc/pam.d/gdm-smartcard
  * debian/patches: Cherry-pick upstream fixes, including better auth error
    handling (LP: #1865838)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 16:40:24 +0100

gdm3 (3.38.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Add a Homepage field (Closes: #976768)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 18 Dec 2020 19:35:23 +0100

gdm3 (3.38.2-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Fix location of locale directory
    - display: Exit with failure if loading existing users fails
      (GHSL-2020-202, CVE-2020-16125)
  * Xsession: Use run-parts --list instead of reimplementing it.
    Taken from x11-common.

  [ Dmitry Borodaenko ]
  * Implement has_option in Xsession.
    Now that x11-common moved this function from 20x11-common_process-args
    to Xsession (see #920778), gdm's version of Xsession also has to
    implement it. (Closes: #972108)

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Nov 2020 17:41:42 +0000
