## gdm3 41~rc

=== debian/changelog ===
gdm3 (41~rc-0ubuntu2) impish; urgency=medium

  * debian/patches/git_select_session.patch:
    - backport an upstream fix for gdm sometime starting the wrong
      session type and not respecting the user selection (lp: #1945008)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Oct 2021 11:05:27 +0200

gdm3 (41~rc-0ubuntu1) impish; urgency=medium

  * New upstream release:
    - Support systems that boot before the graphics subsystem fully loads
    - Fingerprint auth fixes
    - Allow user session to be Wayland even when login screen is Xorg
    - Allow wayland user sessions for single GPU vendor nvidia machines
      (LP: #1942911)
  * debian/patches: Drop wait for drm device tool
    This was due to bug lp:1794280, but it's now handled by upstream
  * debian/control: Drop build dependency on libgudev-1-0-dev
    It was needed by the tool to wait drm devices
  * debian/gbp.conf: Update upstream-vcs-tag format to work with pre-releases
  * debian/patches: Refresh
  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * debian/patches: Keep wayland enabled in all valid nvidia configurations.
    Ensure nvidia drivers are at the expected version for wayland being
    enabled.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Sep 2021 16:57:41 +0200

gdm3 (40.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Drop compatibility symlinks now that bullseye is released
  * debian/watch: Update the watch file to follow the new version scheme
  * debian/control.in: Suggest orca instead of gnome-orca.
    The latter is a transitonal package.

  [ Simon McVittie ]
  * Add Recommends on gnome-session | x-session-manager.
    gdm3 already Depends on gnome-session | x-session-manager |
    x-window-manager | x-terminal-emulator, but not all packages that
    provide x-window-manager are usable as desktop environments (in
    particular, the example window manager in the mutter package does not
    have a built-in way to launch programs). Adding a Recommends here
    provides a stronger hint that nearly all gdm3 users are going to want
    an implementation of x-session-manager, preferably GNOME's.
    (Closes: #986046)
  * d/watch: Don't use @PACKAGE@.
    For historical reasons, the Debian package is gdm3 rather than gdm.
  * New upstream release
    - Includes changes from Marco Trevisan that were previously committed
      as patches (LP: #1935818)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Sep 2021 10:42:00 +0100

gdm3 (3.38.2.1-3ubuntu3) impish; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Drop compatibility symlinks now that bullseye is released
  * debian/watch: Update the watch file to follow the new version scheme
  * debian/control.in: Suggest orca instead of gnome-orca, the later is a transitonal package

  [ Marco Trevisan (Treviño) ]
  * debian/patches:
    - Refresh
    - Correctly handle session opening errors (LP: #1935818)
    - Emit specific error on session opened failure

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 10 Jul 2021 18:28:45 +0200

gdm3 (3.38.2.1-3ubuntu2) impish; urgency=medium

  * Merge with debian
  * debian/gdm3.gdm-smartcard-*: Keep using user_readenv=1 in pam_env.so
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - build depend on libgudev-1.0-dev
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm

