=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 2.91.1),
-               libgudev-1.0-dev,
                libkeyutils-dev [linux-any],
                libpam0g-dev,
                libplymouth-dev [linux-any],
@@ -81,11 +80,12 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
+            gnome-session | x-session-manager,
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,
             zenity
-Suggests: gnome-orca,
+Suggests: orca,
           libpam-fprintd (>= 0.8.0-2),
           libpam-sss (>= 2.3.0-1),
           libpam-pkcs11,
