=== debian/rules ===
--- 
+++ 
@@ -82,13 +82,6 @@
 	dh_installpam -pgdm3 --name=gdm-smartcard-sssd-or-password
 	dh_installpam -pgdm3 --name=gdm-smartcard-pkcs11-exclusive
 
-override_dh_link:
-	# Add compatibility symlinks as GDM is not restarted on upgrades and the lack
-	# of these symlinks might prevent the user from login before the machine is
-	# restarted. We can remove this after bullseye release.
-	( mkdir -p debian/gdm3/usr/lib/gdm3; cd debian/gdm3/usr/lib/gdm3; ln -s ../../libexec/* . )
-	dh_link
-
 override_dh_missing:
 ifeq ($(just_the_library),yes)
 	dh_missing --list-missing
