## gdm3 42.0

=== debian/changelog ===
gdm3 (42.0-1ubuntu7.22.04.4) jammy; urgency=medium

  * Add local-display-factory-skip-simpledrm-when-checking-.patch to
    fix a race condition that occurs with simpledrm (LP: #2039757)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Jan 2024 11:28:18 -0600

gdm3 (42.0-1ubuntu7.22.04.3) jammy; urgency=medium

  * debian/patches/ubuntu/gitlab_clearing_signal.patch:
    - clear signal handlers after udev settle to avoid unexpected session
      logouts, thanks Ghadi Rahme (lp: #2020641)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Jun 2023 12:37:58 +0200

gdm3 (42.0-1ubuntu7.22.04.2) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Add local-display-factory-Fix-typo-in-supported-session-types.patch:
    To fix unreliable session type selection (LP: #2006059)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Apr 2023 15:27:53 +0200

gdm3 (42.0-1ubuntu7.22.04.1) jammy; urgency=medium

  * debian: Update vcs references to ubuntu/jammy branch
  * debian/gdm3-gdm-smartcard*: Do not fail if pam_succeed_if suceeded.
    We were not handling the success case in pam_succeed_if.so, and so even
    if other modules were successful, gdm-smartcard was failing with a
    permission denied error, because the pam_succeed_if default was bad, and
    this was applied to the success case too.
    Alternatively we could even just use success=ignore here, but it's
    better to be consistent with other usages. (LP: #1999884)
  * debian/tests: Add autopkg tests testing gdm smartcard authentication.
    Create fake certificates from fake CA's and verify they can be used with
    from a virtual smartcard.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 31 Jan 2023 05:24:48 +0100

gdm3 (42.0-1ubuntu7) jammy; urgency=medium

  [ Alberto Milone ]
  * Default to Wayland for hybrid systems with Nvidia graphics drivers.
    Default to Xorg but offer Wayland with the gear button on the login
    screen for non-hybrid systems with Nvidia graphics drivers. (LP: #1968929)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 06:32:09 -0400

gdm3 (42.0-1ubuntu6) jammy; urgency=medium

  * Fix Wayland no longer being available for everyone
    - Fix by adding a separate revert patch instead of trying to
      rebase the cherry-picked patches (LP: #1969243)
  * Please note that Wayland is not currently available for
    systems using the Nvidia graphics drivers because those drivers
    don't properly handle suspend and resuming from suspend. It is
    intended for those drivers to be fixed in a future stable release
    update for Ubuntu 22.04 LTS. See bug 1968929

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Apr 2022 21:02:08 -0400

gdm3 (42.0-1ubuntu4) jammy; urgency=medium

  * Drop patch disabling Wayland on hybrid laptops using Nvidia's drivers.
    It's not needed for Ubuntu 22.04 LTS (LP: #1968809)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Apr 2022 14:29:35 -0400

gdm3 (42.0-1ubuntu3) jammy; urgency=medium

  * Cherry-pick commits up to March 30
    - Disable Wayland for:
      + Vendor nvidia driver with hybrid graphics
      + VM guest with vGPU and host pass through gpu
      + Various server chips that don't have great blending performance
    - Stop listening to udev events after timeout

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Apr 2022 16:09:54 -0400

gdm3 (42.0-1ubuntu2) jammy; urgency=medium

  * debian/control.in: Depend on ubuntu-session ahead of gnome-session
    (LP: #1966127)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 14:14:18 -0400

gdm3 (42.0-1ubuntu1) jammy; urgency=medium

  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 16:59:12 -0400

gdm3 (42.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - Fix hang caused by GDM starting sooner than nvidia_drm
      (Closes: #1004131, LP: #1958488)
    - Default to Wayland for nvidia 510 drivers (LP: #1962523)

