=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
                debhelper-compat (= 13),
@@ -28,6 +28,7 @@
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 2.91.1),
+               libgudev-1.0-dev (>= 232),
                libkeyutils-dev [linux-any],
                libpam0g-dev,
                libplymouth-dev [linux-any],
@@ -41,11 +42,11 @@
                meson (>= 0.50),
                systemd,
                udev [linux-any]
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/jammy
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/GDM/
 
@@ -57,9 +58,12 @@
          bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
-         dbus,
+         dbus-bin | systemd-sysv,
+         dbus-daemon,
+         default-dbus-system-bus | dbus-system-bus,
+         default-logind [linux-any] | logind [linux-any],
          gir1.2-gdm-1.0 (= ${binary:Version}),
-         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
+         ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gnome-session-bin (>= 3.37.0),
          gnome-session-common (>= 3.37.0-2~),
          gnome-settings-daemon (>= 3.37.0),
@@ -69,7 +73,6 @@
          libglib2.0-bin (>= 2.35.0),
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
-         libpam-systemd [linux-any],
          librsvg2-common,
          lsb-base (>= 3.2-14),
          policykit-1 (>= 0.105-5~) [linux-any],
@@ -80,7 +83,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
-            gnome-session | x-session-manager,
+            ubuntu-session | gnome-session | x-session-manager,
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,
