## gdm3 43.0

=== debian/changelog ===
gdm3 (43.0-3) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/tests/control: Use multi-line Test-Command for easier
    maintenance
  * debian/tests/sssd-gdm-smartcard-pam-auth-tester.sh:
    Assert that entering the wrong PIN leads to authentication failure

  [ Patrice Duroux ]
  * d/rules: Generate one man page at a time.
    Otherwise, the content of one arbitrary .pod file gets duplicated into
    each of the man pages. (Closes: #1029839)

  [ Simon McVittie ]
  * d/tests: Avoid autopkgtest failure if test user has blank password.
    If the test user has a blank password (which might be the case in an
    expendable test VM) and PAM accepts blank passwords, then
    gdm-smartcard-sssd-or-password will always authenticate successfully.
    If that's the case, temporarily change the user's password to be
    non-empty while running our tests. Also do the same for root.
  * Move dbus-daemon security policy from /etc to /usr/share
  * d/control.in: Drop unnecessary dependency on lsb-base
  * d/control.in: Remove Multi-Arch: same from gir1.2-gdm-1.0.
    It is not usefully multi-arch co-installable because it depends on
    libgdm1, which contains /usr/bin/gdmflexiserver.
  * d/po/sv.po: Transcode from ISO-8859-1 to UTF-8
  * Update syntax of Lintian overrides
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2023 17:32:20 +0000

gdm3 (43.0-2) unstable; urgency=medium

  * debian/gdm3-gdm-smartcard*: Do not fail if pam_succeed_if suceeded.
    We were not handling the success case in pam_succeed_if.so, and so even
    if other modules were successful, gdm-smartcard was failing with a
    permission denied error, because the pam_succeed_if default was bad, and
    this was applied to the success case too.
    Alternatively we could even just use success=ignore here, but it's
    better to be consistent with other usages. (LP: #1999884)
  * debian/gdm3.gdm-smartcard-sssd-or-password.pam: Always load gnome keyring
    and nologin.
    Ensure that we load the nologin and gnome-key-ring modules also if sss
    module succeeded.
  * debian/tests: Add autopkg tests testing gdm smartcard authentication.
    Create fake certificates from fake CA's and verify they can be used with
    from a virtual smartcard.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 28 Jan 2023 09:57:53 +0100

gdm3 (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Build gdm3 on armel since gjs & mozjs102
    are built there now
  * Release to unstable

  [ Simon McVittie ]
  * d/control.in: Depend on polkitd instead of policykit-1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Sep 2022 23:48:19 -0400

gdm3 (42.0-2) experimental; urgency=medium

  * Team upload
  * Only build gdm3 on architectures with working mozjs102 and gjs.
    gjs is likely to be removed from armel as part of the move to mozjs102
    (see #1018076), and is unbuildable or fails tests on most non-release
    architectures. gdm3 requires gnome-shell at runtime, which requires gjs.
    To avoid having an uninstallable gdm3 package, only build it on
    architectures where gjs is known to be available.
  * NEWS: Use correct version number and suite (Closes: #1008663)
  * Standards-Version: 4.6.1 (no changes required)
  * Upload to experimental: unstable upload will be done as part of #1018076

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 11:36:12 +0100
