=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gdm3
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
@@ -16,6 +15,7 @@
                dh-sequence-gnome,
                docbook-xml,
                gettext (>= 0.19.8),
+               gjs [amd64 armel arm64 armhf i386 mips64el mipsel ppc64el s390x riscv64],
                gnome-pkg-tools (>= 0.16.3),
                gnome-settings-daemon-dev (>= 3.24.0),
                gobject-introspection (>= 0.10.7-1~),
@@ -42,20 +42,17 @@
                meson (>= 0.50),
                systemd,
                udev [linux-any]
-Standards-Version: 4.6.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/jammy
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/GDM/
 
 Package: gdm3
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x riscv64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: accountsservice (>= 0.6.35),
          adduser,
-         bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
          dbus-bin | systemd-sysv,
@@ -63,7 +60,7 @@
          default-dbus-system-bus | dbus-system-bus,
          default-logind [linux-any] | logind [linux-any],
          gir1.2-gdm-1.0 (= ${binary:Version}),
-         ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
+         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gnome-session-bin (>= 3.37.0),
          gnome-session-common (>= 3.37.0-2~),
          gnome-settings-daemon (>= 3.37.0),
@@ -74,8 +71,7 @@
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
          librsvg2-common,
-         lsb-base (>= 3.2-14),
-         policykit-1 (>= 0.105-5~) [linux-any],
+         polkitd [linux-any],
          procps,
          ucf,
          x11-common (>= 1:7.6+11),
@@ -83,7 +79,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
-            ubuntu-session | gnome-session | x-session-manager,
+            desktop-base (>= 10.0.0),
+            gnome-session | x-session-manager,
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,
@@ -149,7 +146,6 @@
 Package: gir1.2-gdm-1.0
 Section: introspection
 Architecture: linux-any
-Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
