=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
+
+built_binaries := $(shell dh_listpackages)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
@@ -22,15 +24,13 @@
 CONFFLAGS += --buildtype=debug
 endif
 
+pod2man := pod2man --release="GNOME $(DEB_GNOME_VERSION)" --center="Debian GNU/Linux"
 PODFILES := $(wildcard debian/*.pod)
 MANPAGES := $(patsubst %.pod,%,$(PODFILES))
 
-$(MANPAGES): $(PODFILES)
-	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
-		--release="GNOME $(DEB_GNOME_VERSION)" \
-		--center="Debian GNU/Linux" \
-		$< \
-		| sed -e 's/debian:://' >$@
+debian/%: debian/%.pod
+	$(pod2man) --section=$(shell echo $@ | sed 's/.*\.//') \
+		$< | sed -e 's/debian:://' >$@
 
 %:
 	dh $@
@@ -44,16 +44,17 @@
 		-Dipv6=true \
 		-Dat-spi-registryd-dir=/usr/lib/at-spi \
 		-Ddefault-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
+		-Dcustom-conf=/etc/gdm3/daemon.conf \
 		-Dsysconfsubdir=gdm3 \
 		-Dworking-dir=/var/lib/gdm3 \
 		-Dxauth-dir=/run/gdm3 \
 		-Drun-dir=/run/gdm3 \
 		-Dpid-file=/run/gdm3.pid \
 		-Dlog-dir=/var/log/gdm3 \
-		-Dgdm-xsession=true \
 		-Dpam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
 		-Dscreenshot-dir=/run/gdm3/greeter \
 		-Ddefaults-conf=/usr/share/gdm/defaults.conf \
+		-Duser=Debian-gdm -Dgroup=Debian-gdm \
 		-Dlang-file=/etc/default/locale \
 		-Dran-once-marker-dir=/run/gdm3 \
 		-Dgnome-settings-daemon-dir="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
@@ -64,8 +65,9 @@
 
 override_dh_install:
 	dh_install
+ifneq ($(filter gdm3,$(built_binaries)),)
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-#	chmod 755 debian/gdm3/etc/gdm3/Xsession
+	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
@@ -74,19 +76,16 @@
 	dh_installpam -pgdm3 --name=gdm-smartcard-sssd-exclusive
 	dh_installpam -pgdm3 --name=gdm-smartcard-sssd-or-password
 	dh_installpam -pgdm3 --name=gdm-smartcard-pkcs11-exclusive
+endif
 
 override_dh_missing:
-ifeq ($(just_the_library),yes)
-	dh_missing --list-missing
-else
 	dh_missing --fail-missing
-endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
 override_dh_installinit:
-	dh_installinit --noscripts --no-start
+	dh_installinit --noscripts
 
 override_dh_auto_clean:
 	dh_auto_clean
